# This file is used by buildme.sh
Summary: Trustix XSentry Firewall
Name: xsentry
Version: 4.7.2
Release: 1tr
License: Commercial
Vendor: Comodo Trustix AS
Group: Trustix Commercial
Source0: xsentry-%{version}.tar.bz2
Obsoletes: xploy-xsentry-server
Provides: xploy-xsentry-server
BuildRoot: %{_tmppath}/%{name}-root
# Trustix Commercial requirements
BuildRequires: xclasses-devel, ctlicense-devel
Requires: xclasses, ctlicense, xsentry-ha, xsentry-xsadm
# Trustix GPL requirements
BuildRequires: gcc-c++-devel, bison, flex, openssl-devel, newt-devel
BuildRequires: expat-devel, ncurses-devel
Requires: gcc-c++-runtime, openssl, newt, expat-libs, ncurses, logrotate
Requires: beep, ctlicense, dhcp-common, dhcp-server, expat, nmap, patch
Requires: pcre, perl-bit-vector, perl-carp-clan, perl-date-calc
Requires: perl-date-manip, perl-file-tail, perl-timedate, swatch, vconfig
Requires: openswan, gdbm, iptables, libsmbpw, libpcap, perl, ppp, expect
Requires: tcl, pptpd, rp-pppoe, stunnel

PreReq: chkconfig, tsl-utils

%define xsentrybase /opt/xsentry

%description
This is the Trustix XSentry server

%package xsadm
Group: Trustix Commercial
Summary: The console tool for XSentry

%description xsadm
The XSentry console tool 

%prep
%setup -q

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%post
chkconfig --add xsentryd
if [ "$1" = "2" ]; then
    # Upgrading package
    /sbin/restart_maybe xsentryd
fi

%preun
if [ "$1" = "0" ]; then
    # Removing package
    /etc/init.d/xsentryd stop 2>/dev/null || :
    chkconfig --del xsentryd || :
fi


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%config(noreplace) %{xsentrybase}/etc/alerts.conf
%config(noreplace) %{xsentrybase}/etc/licenses
%config(noreplace) %{xsentrybase}/etc/proxyarp.cfg
%config(noreplace) %{xsentrybase}/etc/stunnel.conf
%config(noreplace) %{xsentrybase}/etc/stunnel.pem
%config(noreplace) %{xsentrybase}/etc/xployd.cfg
%config(noreplace) %{xsentrybase}/etc/xsentry.cfg
%config(noreplace) %{xsentrybase}/etc/xsentry/advlog
%config(noreplace) %{xsentrybase}/etc/xsentry/monitor/alerts.xml
%config(noreplace) %{xsentrybase}/etc/xsentry/vpn/ipsec_updown
%config(noreplace) %{xsentrybase}/default-etc/alerts.conf
%config(noreplace) %{xsentrybase}/default-etc/proxyarp.cfg
%config(noreplace) %{xsentrybase}/default-etc/xployd.cfg
%config(noreplace) %{xsentrybase}/default-etc/xployd.acl
%config(noreplace) %{xsentrybase}/default-etc/xsentry.cfg
%config(noreplace) %{xsentrybase}/default-etc/xsentry/monitor/alerts.xml
%{xsentrybase}/sbin/arp-setup
%{xsentrybase}/sbin/pidentry
%{xsentrybase}/sbin/proxyarp
%{xsentrybase}/sbin/remove-config
%{xsentrybase}/sbin/statemonitor
%{xsentrybase}/sbin/xployadm
%{xsentrybase}/sbin/xsentry-backup
%{xsentrybase}/sbin/xsentry-restore
%{xsentrybase}/sbin/xsentryd
/etc/init.d/xsentryd
/etc/ipsec.d
/etc/profile.d/xsentry.sh
/etc/profile.d/xsentry.csh

%files xsadm
%defattr(-,root,root,0755)
%{xsentrybase}/sbin/check_upg_license
%{xsentrybase}/sbin/configurevlan
%{xsentrybase}/sbin/get_license_term
%{xsentrybase}/sbin/post_license_update
%{xsentrybase}/sbin/xsadm
%{xsentrybase}/sbin/xsentryu-parm

%changelog
* Wed Apr 26 2006 Nived Gopalan <nived at trustix dot org> 4.7.2-1tr
- Changed file stunnel.pem.
- Bug fixes in alerts.xml.

* Thu Sep  1 2005 Chr. Toldnes <christht at trustix dot org> 9tr
- Added a whole lot of requirements to facilitate swup --install xsentry

* Mon Jul 19 2005 Chr. Toldnes <christht at trustix dot org> 8tr
- Added default-etc files

* Thu Jul 14 2005 Chr. Toldnes <christht at trustix dot org> 7tr
- Added /etc/profile.d/xsentry.sh and /etc/profile.d/xsentry.csh
- Added Requires: vconfig
- removed %{xsentrybase}/etc/swup.conf
- removed unused xsadm upgrade scripts

* Fri Jul  8 2005 Chr. Toldnes <christht at trustix dot org> 6tr
- Added /etc/ipsec.d

* Tue Jun  7 2005 Chr. Toldnes <christht at trustix dot org> 5tr
- Added missing files

* Mon Jun  6 2005 Chr. Toldnes <christht at trustix dot org> 4tr
- require logrotate, not provide it

* Tue May 10 2005 Chr. Toldnes <christht at trustix dot org> 3tr
- Added some new files to the filelists

* Tue May  3 2005 Chr. Toldnes <christht at trustix dot org> 2tr
- Added PreReq: chkconfig

* Wed Apr 13 2005 Chr. Toldnes <christht at trustix dot org> 1tr
- Complete rewrite of xsentry.spec for new non-xploy-xsentry
